
#include <stdint.h>

#include "syscall.h"

#if 	defined(__arm)
#define __NR_unshare	337
#elif	defined(__avr32__)
#define __NR_unshare	258
#elif	defined(__ia64__)
#define __NR_unshare	1296
#elif	defined(__mips__) && (_MIPS_SIM == _MIPS_SIM_ABI32)
#define __NR_unshare	303
#elif	defined(__mips__) && (_MIPS_SIM == _MIPS_SIM_ABI64)
#define __NR_unshare	262
#elif	defined(__mips__) && (_MIPS_SIM == _MIPS_SIM_NABI32)
#define __NR_unshare	266
#elif	defined(__hppa__)
#define __NR_unshare	288
#elif	defined(__powerpc__)
#define __NR_unshare	282
#elif	defined(__s390__)
#define __NR_unshare	303
#elif	defined(__sh__)
#define __NR_unshare	310
#elif	defined(__sparc__)
#define __NR_unshare	299
#elif	defined(__x86_64__)
#define __NR_unshare	272
#else
#define __NR_unshare	310
#endif

static inline 
_syscall1(int, unshare, unsigned long, flags)


#define UNSHARE_VM	0x00000100	/* set if VM shared between processes */
#define UNSHARE_FS	0x00000200	/* set if fs info shared between processes */
#define UNSHARE_FILES	0x00000400	/* set if open files shared between processes */
#define UNSHARE_SIGHAND	0x00000800	/* set if signal handlers and blocked signals shared */
#define UNSHARE_THREAD	0x00010000	/* Same thread group? */
#define UNSHARE_NEWNS	0x00020000	/* New namespace group? */
#define UNSHARE_SYSVSEM	0x00040000	/* share system V SEM_UNDO semantics */
#define UNSHARE_NEWUTS	0x04000000	/* New utsname group? */
#define UNSHARE_NEWIPC	0x08000000	/* New ipcs */

